\version "2.24.1"

#(begin
  (define url      "haydn.lanfear.me")
  (define logofile "Haydn_Signature.eps")
  (define fullurl  (if imslp "https://imslp.org/wiki/User:Tlanfear" "http://haydn.lanfear.me")))

\header {
  composer    = "Franz Joseph Haydn"
  title       = \markup { \caps "Symphony Nº" #(number->string N) }
  subtitle    = \markup \italic \fromproperty #'header:nickname
  subsubtitle = \markup \fromproperty #'header:key
  dedication  = \markup \fromproperty #'header:superscription
  opus        = \markup \line { "Hob." \concat { \caps "i" ":" #(number->string N) } }
  composed    = \markup \fromproperty #'header:date
  logo        = \markup "Haydn_Signature.eps"
  cctitle     = \markup \italic { \composer "Symphony Nº" #(number->string N) }
  mylicence   = \markup {
%   \lower #0.1 \epsfile #Y #2 "by-nc.eps"
    \cctitle "is licensed under"
    \with-url "https://creativecommons.org/licenses/by-nc/4.0/" "CC BY-NC 4.0"
    "by" \concat { \with-url \fullurl "Timothy Lanfear" "." }
  }
  source      = \markup {
    "Transcribed from"
    \italic "Kritische Ausgabe sämtlicher Symphonien"
    "edited by H. C. Robbins Landon et al."
  }
}

\include \licence

\header {
  copyright = \markup { \center-column { \derived \vspace #1.5 \mylicence \source } }
}
